btllib::OrderQueueMPSC< T, QUEUE_SIZE, BLOCK_SIZE > Class Template Reference
Inheritance diagram for btllib::OrderQueueMPSC< T, QUEUE_SIZE, BLOCK_SIZE >:

## Public Types

using | Block = typename OrderQueue< T, QUEUE_SIZE, BLOCK_SIZE >::Block
using | Slot = typename OrderQueue< T, QUEUE_SIZE, BLOCK_SIZE >::Slot

## Public Member Functions

void | write (Block &block)
void | read (Block &block)
Public Member Functions inherited from btllib::OrderQueue< T, QUEUE_SIZE, BLOCK_SIZE >
size_t | elements () const
void | close ()
bool | is_closed () const

## Additional Inherited Members

Protected Attributes inherited from btllib::OrderQueue< T, QUEUE_SIZE, BLOCK_SIZE >
std::vector< Slot > | slots { QUEUE_SIZE }
size_t | read_counter = 0
std::atomic< size_t > | element_count { 0 }
std::atomic< bool > | closed { false }

The documentation for this class was generated from the following file:

- include/btllib/order_queue.hpp